package com.test.listviewdemo;

import android.content.Context;
import android.provider.ContactsContract;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.List;

public class ContentAdapter extends ArrayAdapter<Base> {

    private int resourceId;
    /**
     * 重写父类构造函数,传入上下文, ListView子布局id, 数据
     * @param context
     * @param textViewResourceId
     * @param objects
     */
    public ContentAdapter(@NonNull Context context, int textViewResourceId, @NonNull List<Base> objects) {
        super(context, textViewResourceId, objects);
        resourceId = textViewResourceId;
    }


    /**
     * 每个子项被滚动到屏幕内的时候调用
     * @param position
     * @param convertView
     * @param parent
     * @return
     */
    @NonNull
    @Override
    public View getView(int position, @Nullable View convertView, @NonNull ViewGroup parent) {
        Base base = getItem(position);//获取当前项 Base 实例

        View view = LayoutInflater.from(getContext()).inflate(resourceId,parent,false);

        ImageView baseIcon = (ImageView) view.findViewById(R.id.icon);
        TextView baseTitle = (TextView) view.findViewById(R.id.title);
        TextView baseTime = (TextView) view.findViewById(R.id.time);

        baseIcon.setImageResource(base.getIconId());
        baseTitle.setText(base.getTitle());
        baseTime.setText(base.getTime());

        return view;
    }
}
