package com.test.listviewdemo;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ListView;
import android.widget.Toast;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class MainActivity extends AppCompatActivity {

    private List<Base> baseList = new ArrayList<>();
    SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");//设置日期格式
    String date = df.format(new Date());// new Date()为获取当前系统时间，也可使用当前时间戳
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        initBases();//初始化baseList数据

        BaseAdapter adapter = new ContentAdapter(MainActivity.this,R.layout.base_item,baseList);

        ListView listView = (ListView) findViewById(R.id.listview);
        listView.setAdapter(adapter);

        listView.setOnItemClickListener(onClickListener);//监听点击事件

    }

    AdapterView.OnItemClickListener onClickListener = new AdapterView.OnItemClickListener() {
        @Override
        public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
            Base base = baseList.get(i);
            Toast.makeText(MainActivity.this,base.getTitle(),Toast.LENGTH_SHORT).show();

        }

    };

    private void initBases(){

        for(int i = 0; i < 5; i++){
            Base baseOne = new Base(R.drawable.one,"我是数字1",date);
            baseList.add(baseOne);
            Base baseTwo = new Base(R.drawable.two,"我是数字2",date);
            baseList.add(baseTwo);
            Base baseThree = new Base(R.drawable.one,"我是数字1",date);
            baseList.add(baseOne);
            Base baseFour = new Base(R.drawable.two,"我是数字2",date);
            baseList.add(baseTwo);
        }

    }
}
